<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:tools="http://schemas.android.com/tools"
        package="de.persoapp.android"
        xmlns:android="http://schemas.android.com/apk/res/android">

    <uses-feature android:name="android.hardware.usb.host" android:required="false" />

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.NFC" />
    <uses-permission android:name="org.simalliance.openmobileapi.SMARTCARD" />

    <!-- Gradle overrides these values, however, the old dinosaur eclipse requires them to build correctly -->
    <uses-sdk
            android:minSdkVersion="15"
            android:targetSdkVersion="23"
            tools:ignore="GradleOverrides" />

    <application
            android:name=".AppExtension"
            android:allowBackup="true"
            android:icon="@drawable/ic_launcher"
            android:label="@string/app_name"
            android:theme="@style/AppTheme">

        <activity
                android:name="de.persoapp.android.activity.MainActivity"
                android:label="@string/app_name">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
                android:name=".activity.AuthenticateActivity"
                android:label="@string/app_name"
                android:launchMode="singleInstance">

            <intent-filter>
                <data
                        android:host="127.0.0.1"
                        android:path="/eID-Client"
                        android:port="24727"
                        android:scheme="http" />

                <action android:name="de.bund.bsi.eid.AUTHENTICATE" />
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />
            </intent-filter>

            <intent-filter>
                <data
                    android:host="127.0.0.1"
                    android:path="/eID-Client"
                    android:port="24727"
                    android:scheme="eid" />

                <action android:name="de.bund.bsi.eid.AUTHENTICATE" />
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />
            </intent-filter>
        </activity>

        <activity
            android:name=".fidelio.FIDOActivity"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" >

            <!-- private intent -->
            <intent-filter>
                <action android:name="de.bund.bsi.fidelio.AUTHENTICATE"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <category android:name="android.intent.category.BROWSABLE"/>
            </intent-filter>

            <!-- Google Authenticator -->
            <intent-filter>
                <action android:name="com.google.android.apps.authenticator.AUTHENTICATE"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <category android:name="android.intent.category.BROWSABLE"/>
            </intent-filter>

            <!-- FIDO Intent -->
            <intent-filter>
                <action android:name="org.fidoalliance.intent.FIDO_OPERATION" />
                <data android:mimeType="application/fido.u2f_token+json" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <activity
                android:name=".activity.PinOptionsActivity"
                android:label="@string/npa_options" />
        <activity
                android:name=".activity.CommonChangePinActivity"
                android:windowSoftInputMode="stateHidden|adjustResize" />
        <activity
                android:name=".activity.LicenseActivity"
                android:label="@string/licenses"
                android:parentActivityName=".activity.MainActivity" />
    </application>
</manifest>
